Gönderen Konu: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor  (Okunma sayısı 3189 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı nefarkeder

  • Yeni Penguen
  • *
  • İleti: 63
  • Dağıtım: Linux Mint 19
  • Masaüstü: Cinnamon
  • Grafik Kartı: ATI Radeon HD4830
  • İşlemci: Quad core AMD Phenom II X4 955
HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« : 26 Mayıs 2017, 09:31:23 »
Merhabalar,
Derdimi forumda yazıcılarla ilgili olan bütün konuları gezmeme rağmen çözemedim. Bir kere de kendi adıma paylaşayım dedim.
Sorun şu: HPLIP'in çeşitli versiyonlarını denememe rağmen yazıcı çalıştığı halde bir türlü tarayıcı çalışmıyor. Basit Tarayıcı'yı kullandığım zaman şöyle bir uyarıyla karşılaşıyorum: "Ek yazılıma ihtiyaç var". Ardından Uyarının kenarındaki "Sürücüleri Kur" Butonuna tıkladığımda, "Sürücü Kurulumu Başarısız Oldu" diyor. Tarayıcıyı sadece VueScan ile çalıştırabiliyorum ama o da ücretli olduğu için filigram ekliyor.
Derdime bir çare lütfen.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16568
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #1 : 26 Mayıs 2017, 09:53:40 »
Komutun çıktısına bakalım.

Kod: [Seç]
dpkg -l grep hplip
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı nefarkeder

  • Yeni Penguen
  • *
  • İleti: 63
  • Dağıtım: Linux Mint 19
  • Masaüstü: Cinnamon
  • Grafik Kartı: ATI Radeon HD4830
  • İşlemci: Quad core AMD Phenom II X4 955
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #2 : 26 Mayıs 2017, 09:56:54 »
Buyrun:

İstenen=bilinmeyen(U)/kur(I)/kaldır(R)/temizle(P)/tut(H)
| Durum=kurulu-değil(N)/kurulu(I)/yapılandırma-dosyası(C)/açılmış(U)
|/yarı-yapılandırılmış(F)/yarı-kurulu(H)/tetikleyici-bekliyor(W)
|/tetikleyici-askıda(T)/ Hata?=(yok)/tekrar-kur(R) (Durum,Hata: büyük-harf=kötü)
||/ Ad             Sürüm        Mimari       Açıklama
+++-==============-============-============-=================================
ii  grep           2.25-1~16.04 amd64        GNU grep, egrep and fgrep
un  hplip          <yok>        <yok>        (açıklama mevcut değil)

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16568
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #3 : 26 Mayıs 2017, 10:15:53 »
Aşağıdaki komutla hplip paketlerini kurmayı deneyiniz.

Kod: [Seç]
sudo apt-get install --reinstall hplip hplip-gui
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı nefarkeder

  • Yeni Penguen
  • *
  • İleti: 63
  • Dağıtım: Linux Mint 19
  • Masaüstü: Cinnamon
  • Grafik Kartı: ATI Radeon HD4830
  • İşlemci: Quad core AMD Phenom II X4 955
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #4 : 26 Mayıs 2017, 10:24:53 »
Evet kurdum. Şimdi ne yapmam gerekiyor?

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16568
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #5 : 26 Mayıs 2017, 12:30:03 »
Taratmayı deneyin.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı nefarkeder

  • Yeni Penguen
  • *
  • İleti: 63
  • Dağıtım: Linux Mint 19
  • Masaüstü: Cinnamon
  • Grafik Kartı: ATI Radeon HD4830
  • İşlemci: Quad core AMD Phenom II X4 955
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #6 : 26 Mayıs 2017, 12:41:16 »
Çalışmıyor :/. Aynı şekilde hâlâ.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16568
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #7 : 26 Mayıs 2017, 13:05:12 »
Aşağıdaki komutla hp eklentilerini kurmayı deneyebilirsiniz.

Kod: [Seç]
hp-plugin
Kurulum sırasında hata alırsanız, çıktıları kod etiketi içinde paylaşınız.



Yukarıdaki komutla sorun yaşanırsa, aşğaıdaki komutlarla elle kurulum denenebilir.

Kod: [Seç]
wget -c --no-check-certificate https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-3.16.3-plugin.run
Kod: [Seç]
chmod +x hplip-3.16.3-plugin.run
Kod: [Seç]
./hplip-3.16.3-plugin.run
« Son Düzenleme: 26 Mayıs 2017, 13:09:31 Gönderen: Butterfly »
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı nefarkeder

  • Yeni Penguen
  • *
  • İleti: 63
  • Dağıtım: Linux Mint 19
  • Masaüstü: Cinnamon
  • Grafik Kartı: ATI Radeon HD4830
  • İşlemci: Quad core AMD Phenom II X4 955
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #8 : 26 Mayıs 2017, 13:09:31 »
Hata aldım. Şöyle:
Kod: [Seç]
Traceback (most recent call last):
  File "/usr/bin/hp-plugin", line 40, in <module>
    from base import device, utils, tui, module, services
  File "/usr/share/hplip/base/device.py", line 41, in <module>
    from . import status
  File "/usr/share/hplip/base/status.py", line 49, in <module>
    import hpmudext
ImportError: /usr/lib/python3/dist-packages/hpmudext.cpython-35m-x86_64-linux-gnu.so: undefined symbol: hpmud_make_par_uri

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16568
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #9 : 26 Mayıs 2017, 14:49:32 »
Kod: [Seç]
hp-plugin -i
Komutuyla deneyebilirsiniz. Yukarıdaki mesajda bir öneri daha mevcuttu, lütfen dönüşlerinizi tüm öneriler için yapınız.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı nefarkeder

  • Yeni Penguen
  • *
  • İleti: 63
  • Dağıtım: Linux Mint 19
  • Masaüstü: Cinnamon
  • Grafik Kartı: ATI Radeon HD4830
  • İşlemci: Quad core AMD Phenom II X4 955
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #10 : 26 Mayıs 2017, 16:17:08 »
Uzun yoldan verdiğiniz öneride şu hatayla karşılaşıyorum:
Kod: [Seç]
Verifying archive integrity... All good.
Uncompressing HPLIP 3.16.3 Plugin Self Extracting Archive................................................
Error setting home directory: /etc/hp/hplip.conf not found. Is HPLIP installed?

Kod: [Seç]
hp-plugin -i
Bu komut durumunda ise şununla:
Kod: [Seç]
Traceback (most recent call last):
  File "/usr/bin/hp-plugin", line 40, in <module>
    from base import device, utils, tui, module, services
  File "/usr/share/hplip/base/device.py", line 41, in <module>
    from . import status
  File "/usr/share/hplip/base/status.py", line 49, in <module>
    import hpmudext
ImportError: /usr/lib/python3/dist-packages/hpmudext.cpython-35m-x86_64-linux-gnu.so: undefined symbol: hpmud_make_par_uri

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16568
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #11 : 26 Mayıs 2017, 16:36:42 »
Aşağıdaki komutlarla tüm hplip sürümlerini kaldırıp,

Kod: [Seç]
sudo apt-get purge hplip*
cd /usr/share/hplip
sudo python uninstall.py
cd
sudo rm -rf /usr/share/hplip
sudo rm -rf /var/lib/hp
rm -rf ~/.hplip

Ardından aşağıdaki komutla yeniden kurunuz,

Kod: [Seç]
sudo apt-get install hplip
ardından aşağıdaki komutla eklentileri yeniden kurmayı deneyiniz.

Kod: [Seç]
hp-plugin -i
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı nefarkeder

  • Yeni Penguen
  • *
  • İleti: 63
  • Dağıtım: Linux Mint 19
  • Masaüstü: Cinnamon
  • Grafik Kartı: ATI Radeon HD4830
  • İşlemci: Quad core AMD Phenom II X4 955
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #12 : 26 Mayıs 2017, 16:51:03 »
İlk dizi komutu çalıştırıp, sildiğinde "succesfully uninstalled" dedi. Fakat, yükleme komutunu işlettiğimde bu çıkıyor:
Kod: [Seç]
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
hplip zaten en yeni sürümde (3.16.3+repack0-1).
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 25 paket yükseltilmeyecek.

Sanırım silinmemiş durumda. Ama nasıl ve neden?

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16568
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #13 : 26 Mayıs 2017, 17:04:51 »
Aşağıdaki komutla deneyiniz.

Kod: [Seç]
sudo apt-get purge hplip hplip-data hplip-gui
Ardından yukarıdaki mesajdaki diğer komutlarla devam edersiniz.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı nefarkeder

  • Yeni Penguen
  • *
  • İleti: 63
  • Dağıtım: Linux Mint 19
  • Masaüstü: Cinnamon
  • Grafik Kartı: ATI Radeon HD4830
  • İşlemci: Quad core AMD Phenom II X4 955
Ynt: HP Deskjet Ink Adv 2060 Tarayıcı Çalışmıyor
« Yanıtla #14 : 26 Mayıs 2017, 17:50:10 »
Çok uğraştığınızın farkındayım, öncelikle sabrınız ve emeğiniz için çok teşekkür ederim. Dediğiniz son kaldırma komutu işe yaradı. Fakat verdiğiniz yükleme komutu sonrası şu oluyor:

Kod: [Seç]
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
Aşağıdaki ek paketler kurulacak:
  hplip-data
Önerilen paketler:
  hplip-gui system-config-printer
Tavsiye edilen paketler:
  printer-driver-postscript-hp
Aşağıdaki YENİ paketler kurulacak:
  hplip hplip-data
0 paket yükseltilecek, 2 yeni paket kurulacak, 0 paket kaldırılacak ve 25 paket yükseltilmeyecek.
0 B/6.458 kB arşiv dosyası indirilecek.
Bu işlem tamamlandıktan sonra 10,3 MB ek disk alanı kullanılacak.
Devam etmek istiyor musunuz? [E/h] E
Daha önce seçili olmayan hplip-data paketi seçiliyor.
(Veritabanı okunuyor ... 354204 dosya veya dizin kurulu durumda.)
Paket açılacak: .../hplip-data_3.16.3+repack0-1_all.deb ...
Paket açılıyor: hplip-data (3.16.3+repack0-1) ...
Daha önce seçili olmayan hplip paketi seçiliyor.
Paket açılacak: .../hplip_3.16.3+repack0-1_amd64.deb ...
Paket açılıyor: hplip (3.16.3+repack0-1) ...
Tetikleyiciler işleniyor: dbus (1.10.6-1ubuntu3.3) ...
Tetikleyiciler işleniyor: man-db (2.7.5-1) ...
Ayarlanıyor: hplip-data (3.16.3+repack0-1) ...
Ayarlanıyor: hplip (3.16.3+repack0-1) ...
Creating/updating hplip user account...
dpkg-statoverride: uyarı: --update kullanıldı ama /var/run/hplip mevcut değil
Can't open /etc/hp/hplip.conf: Böyle bir dosya ya da dizin yok.
Can't open /etc/hp/hplip.conf: Böyle bir dosya ya da dizin yok.
Tetikleyiciler işleniyor: dbus (1.10.6-1ubuntu3.3) ...

ardından plugin komutu da yine buna dönüşüyor:

Kod: [Seç]
Traceback (most recent call last):
  File "/usr/bin/hp-plugin", line 40, in <module>
    from base import device, utils, tui, module, services
  File "/usr/share/hplip/base/device.py", line 41, in <module>
    from . import status
  File "/usr/share/hplip/base/status.py", line 49, in <module>
    import hpmudext
ImportError: /usr/lib/python3/dist-packages/hpmudext.cpython-35m-x86_64-linux-gnu.so: undefined symbol: hpmud_make_par_uri